<div class="left-part">
  <solidify-search-facet [facetsSelectedInit]="facetsSelectedObs | async"
                         [listFacets]="facetsObs | async"
                         [searchFacetProperties]="(systemPropertyObs | async)?.searchFacets"
                         [tourAnchor]="tourEnum.homeSearchFacets"
                         (facetChange)="searchFacet($event)"
                         [class.closed]="isFacetClosed"
  ></solidify-search-facet>
</div>
<div class="right-part">
  <div class="toolbar-content">
    <div class="toolbar-left-part">
      <solidify-search-input (valueChange)="searchText($event)"
                             [appearance]="'fill'"
                             [labelToTranslate]="labelTranslateEnum.search | translate"
                             [searchAutoFocus]="isInTourModeObs | async | isFalsy"
                             [tourAnchor]="tourEnum.homeSearchSearchBar"
                             [value]="searchObs | async"
                             class="search-bar"
      ></solidify-search-input>
    </div>
    <div class="toolbar-right-part">

      <mat-slide-toggle (change)="searchModeChange($event)"
                        [checked]="searchModeIsQueryObs | async"
                        color="primary"
      ><span class="toggle-label"
             solidifyTooltipOnEllipsis
      >{{labelTranslateEnum.queryMode | translate}}</span></mat-slide-toggle>

      <solidify-icon (click)="openHelp()"
                     [iconName]="iconNameEnum.help"
                     class="icon-help size-18"
      ></solidify-icon>
      <span class="result-matching"><span
          class="number-result"
      >{{totalObs | async}}</span> {{labelTranslateEnum.resultsFound | translate}}</span>
      <div [tourAnchor]="tourEnum.homeSearchListTiles"
           class="display-mode"
      >
        <solidify-icon (click)="switchViewMode(viewModeTableEnum.list)"
                       [class.is-active]="viewModeTableEnum.list === (viewModeTableEnumObs | async)"
                       [solidifyDataTest]="dataTestEnum.homeButtonViewList"
                       [iconName]="iconNameEnum.listView"
                       [matTooltip]="labelTranslateEnum.listView | translate"
                       class="icon"
        ></solidify-icon>
        <solidify-icon (click)="switchViewMode(viewModeTableEnum.tiles)"
                       [class.is-active]="viewModeTableEnum.tiles === (viewModeTableEnumObs | async)"
                       [solidifyDataTest]="dataTestEnum.homeButtonViewTile"
                       [iconName]="iconNameEnum.tilesView"
                       [matTooltip]="labelTranslateEnum.tilesView | translate"
                       class="icon"
        ></solidify-icon>
      </div>
    </div>
  </div>

  <div [solidifySpinner]="(isLoadingObs | async)"
       class="wrapper"
  >
    <ng-template [ngIf]="(viewModeTableEnumObs | async) === viewModeTableEnum.list">
      <solidify-data-table (queryParametersChange)="onQueryParametersEvent($event)"
                           (selectChange)="showDetail($event)"
                           *ngIf="(listObs | async)?.length > 0"
                           [actions]="actions"
                           [columns]="columns"
                           [data]="listObs | async"
                           [solidifyDataTest]="dataTestEnum.homeDataTableSearch"
                           [focusFirstElement]="false"
                           [isLoading]="isLoadingObs | async"
                           [queryParameters]="queryParametersObs | async"
                           [skipInitialQuery]="true"
                           [stickyTopPosition]="0"
                           [displayActionCopyIdToClipboard]="true"
                           [detailRouteToInterpolate]="detailRouteToInterpolate"
      ></solidify-data-table>
    </ng-template>

    <div *ngIf="(viewModeTableEnumObs | async) === viewModeTableEnum.tiles"
         class="tile-view"
    >
      <div *ngIf="(queryParametersObs | async) as queryParameters"
           class="paginator-container"
      >
        <solidify-paginator #paginator
                            (pageChange)="pageChange($event)"
                            *ngIf="queryParameters && (listObs | async)?.length > 0"
                            [pagingModel]="queryParameters.paging"
                            class="paginator"
        >
        </solidify-paginator>
      </div>
      <div class="tiles-container">
        @for (archive of (listObs | async); track archive) {
          <a [routerLink]="'/' + showDetailNavigate(archive)"
             class="button-link"
          >
            <dlcm-shared-archive-tile [archive]="archive"
                                      [solidifyDataTest]="dataTestEnum.homeTile"
                                      [isAccessControlled]="!(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                                      [isNotLogged]="isLoggedInObs | async | isFalsy"
                                      (addToCartChange)="addToCart($event)"
                                      (downloadChange)="download($event)"
                                      (requestAccessChange)="requestAccessDataset($event)"
                                      mode="home-tiles"
            ></dlcm-shared-archive-tile>
          </a>
        }

      </div>
    </div>
    <div *ngIf="(isLoadingObs | async | isFalsy) && (listObs | async)?.length === 0 && !(searchObs | async | isNullOrUndefined) && (searchObs | async |
  isNonEmptyString)"
         class="no-result-container"
    >
      <div class="text-icon">
        <solidify-icon [iconName]="iconNameEnum.archive"
                       class="icon size-30"
        ></solidify-icon>
        <span class="text">{{'home.noResultToDisplay' | translate}}</span>
      </div>
    </div>
  </div>
</div>
